#include "randrect.hpp"

RandRect::RandRect(Window *w):Pane(w) {
	setSizeWithParent();
	create();
	app->tasks()->add(this);
}

int RandRect::Poll() {
	xLeft=rand()%WndSize.width();
	xRight=rand()%WndSize.width();
	yTop=rand()%WndSize.height();
	yBottom=rand()%WndSize.height();

	Color clr(rand()&255,rand()&255,rand()&255);
	canvas()->pushBrush(new Brush(clr));

	canvas()->lock();
	canvas()->rectangle(min(xLeft,xRight),min(yTop,yBottom),max(xLeft,xRight),max(yTop,yBottom));
	canvas()->unlock();
	delete canvas()->popBrush();
	return 0;
}

MainFrame::MainFrame():AppFrame("zApp Random Rectangles") {
	create();
	image=new RandRect(this);
}

void App::main() {
	MainFrame *p=new MainFrame();
	app->go();
	delete p;
}